Download Handouts:

    blog-week-3-m101p.zip

Making your blog accept posts

In this homework you will be enhancing the blog project to insert entries into
the posts collection. After this, the blog will work. It will allow you to add
blog posts with a title, body and tags and have it be added to the posts
collection properly.

We have provided the code that creates users and allows you to login (the
assignment from last week). To get started, please download hw3-2and3-3.zip from
the Download Handout link and unpack. You will be using these files for this
homework, and for HW 3.3.

The areas where you need to add code are marked with XXX. You need only touch
the BlogPostDAO.py file. There are three locations for you to add code for this
problem. Scan that file for XXX to see where to work.

As a reminder, to run your blog you type

    $ python blog.py

To play with the blog you can navigate to the following URLs

    - http://localhost:8082/
    - http://localhost:8082/signup
    - http://localhost:8082/login
    - http://localhost:8082/newpost

You will be proving that it works by running our validation script as follows:

    $ python validate.py

You need to run this in a separate terminal window while your blog is running
and while the database is running. It makes connections to both to determine if
your program works properly. Validate connects to localhost:8082 and expects
that mongod is running on localhost on port 27017.

As before, validate will take some optional arguments if you want to run mongod
on a different host or a use an external webserver.

This project requires Python 2.7. The code is not 3.X compliant.

Ok, once you get the blog posts working, validate.py will print out a validation
code for HW 3.2.

Please enter it below, exactly as shown with no spaces.

CORRECT ANSWER INPUT:
    89jklfsjrlk209jfks2j2ek
